OBJECTS = test.expected test.out
TARGETS = countdown.tvm test.tvm

all : $(TARGETS)

clean :
	-rm $(OBJECTS)

distclean : clean
	-rm $(TARGETS)

test :
	sh test.sh

.SUFFIXES : .tvm .tvma

.tvma.tvm :
	../src/turbovm-asm < $< > $@

.PHONY : all clean distclean test
